# PurchaseOrders

## GET /purchase-orders

> Returns purchase orders list

```json
{"openapi":"3.0.1","info":{"title":"P4W Api Gateway","version":"v1"},"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","description":"Api key taken from 'Gateway API key' setting.","name":"ApiKey","in":"header"}},"schemas":{"PurchaseOrderGetList":{"type":"object","properties":{"comments":{"type":"string","nullable":true},"referenceNumber":{"type":"string","nullable":true},"reference1":{"type":"string","nullable":true},"reference2":{"type":"string","nullable":true},"reference3":{"type":"string","nullable":true},"appointmentNumber":{"type":"string","nullable":true},"appointmentDate":{"type":"string","format":"date-time","nullable":true},"requiredDate":{"type":"string","format":"date-time","nullable":true},"dateCreated":{"type":"string","format":"date-time"},"closeDate":{"type":"string","format":"date-time","nullable":true},"id":{"type":"string","format":"uuid"},"purchaseOrderNumber":{"type":"string","nullable":true},"vendor":{"$ref":"#/components/schemas/VendorGetList"},"warehouse":{"$ref":"#/components/schemas/Warehouse"}},"additionalProperties":false},"VendorGetList":{"type":"object","properties":{"companyName":{"type":"string","nullable":true},"email":{"type":"string","nullable":true},"phone":{"type":"string","nullable":true},"contactPerson":{"type":"string","nullable":true},"description":{"type":"string","nullable":true},"address":{"$ref":"#/components/schemas/VendorAddress"},"id":{"type":"string","format":"uuid"},"client":{"$ref":"#/components/schemas/ClientGetList"},"vendorCode":{"type":"string","nullable":true}},"additionalProperties":false},"VendorAddress":{"type":"object","properties":{"address1":{"type":"string","nullable":true},"address2":{"type":"string","nullable":true},"city":{"type":"string","nullable":true},"stateProvince":{"type":"string","nullable":true},"zipPostalCode":{"type":"string","nullable":true},"country":{"type":"string","nullable":true}},"additionalProperties":false},"ClientGetList":{"type":"object","properties":{"description":{"type":"string","nullable":true},"ssccCompanyId":{"type":"string","nullable":true},"companyName":{"type":"string","nullable":true},"email":{"type":"string","nullable":true},"phone":{"type":"string","nullable":true},"contactPerson":{"type":"string","nullable":true},"taxId":{"type":"string","nullable":true},"address1":{"type":"string","nullable":true},"address2":{"type":"string","nullable":true},"city":{"type":"string","nullable":true},"stateProvince":{"type":"string","nullable":true},"zipPostalCode":{"type":"string","nullable":true},"country":{"type":"string","nullable":true},"id":{"type":"string","format":"uuid"},"name":{"type":"string","nullable":true}},"additionalProperties":false},"Warehouse":{"type":"object","properties":{"id":{"type":"string","format":"uuid"},"warehouseCode":{"type":"string","nullable":true},"name":{"type":"string","nullable":true},"description":{"type":"string","nullable":true},"phone":{"type":"string","nullable":true},"email":{"type":"string","nullable":true},"referenceNumber":{"type":"string","nullable":true},"address1":{"type":"string","nullable":true},"address2":{"type":"string","nullable":true},"city":{"type":"string","nullable":true},"stateProvince":{"type":"string","nullable":true},"zipPostalCode":{"type":"string","nullable":true},"country":{"type":"string","nullable":true}},"additionalProperties":false}}},"paths":{"/purchase-orders":{"get":{"tags":["PurchaseOrders"],"summary":"Returns purchase orders list","parameters":[{"name":"Page","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"PageSize","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"clientId","in":"query","schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PurchaseOrderGetList"}}},"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PurchaseOrderGetList"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PurchaseOrderGetList"}}}}}}}}}}
```

## POST /purchase-orders

> Create new purchase order

```json
{"openapi":"3.0.1","info":{"title":"P4W Api Gateway","version":"v1"},"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","description":"Api key taken from 'Gateway API key' setting.","name":"ApiKey","in":"header"}},"schemas":{"PurchaseOrderCreate":{"type":"object","properties":{"comments":{"type":"string","nullable":true},"referenceNumber":{"type":"string","nullable":true},"reference1":{"type":"string","nullable":true},"reference2":{"type":"string","nullable":true},"reference3":{"type":"string","nullable":true},"appointmentNumber":{"type":"string","nullable":true},"appointmentDate":{"type":"string","format":"date-time","nullable":true},"requiredDate":{"type":"string","format":"date-time","nullable":true},"dateCreated":{"type":"string","format":"date-time"},"closeDate":{"type":"string","format":"date-time","nullable":true},"vendorId":{"type":"string","format":"uuid"},"warehouseId":{"type":"string","format":"uuid"},"purchaseOrderNumber":{"type":"string","nullable":true},"lines":{"type":"array","items":{"$ref":"#/components/schemas/PurchaseOrderLineCreateUpdate"},"nullable":true}},"additionalProperties":false},"PurchaseOrderLineCreateUpdate":{"type":"object","properties":{"lineNumber":{"type":"integer","format":"int32","nullable":true},"packsize":{"type":"integer","format":"int32","nullable":true},"numberOfPacks":{"type":"integer","format":"int32","nullable":true},"productId":{"type":"string","format":"uuid"},"orderedQuantity":{"type":"number","format":"double","nullable":true},"referenceNumber":{"type":"string","nullable":true},"reference1":{"type":"string","nullable":true},"reference2":{"type":"string","nullable":true},"reference3":{"type":"string","nullable":true}},"additionalProperties":false},"IdDocument":{"type":"object","properties":{"id":{"type":"string","format":"uuid"}},"additionalProperties":false}}},"paths":{"/purchase-orders":{"post":{"tags":["PurchaseOrders"],"summary":"Create new purchase order","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PurchaseOrderCreate"}},"text/json":{"schema":{"$ref":"#/components/schemas/PurchaseOrderCreate"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/PurchaseOrderCreate"}}}},"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/IdDocument"}},"application/json":{"schema":{"$ref":"#/components/schemas/IdDocument"}},"text/json":{"schema":{"$ref":"#/components/schemas/IdDocument"}}}},"406":{"description":"Not Acceptable","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"type":"string"}},"text/json":{"schema":{"type":"string"}}}}}}}}}
```

## PUT /purchase-orders

> Update an existing purchase order

```json
{"openapi":"3.0.1","info":{"title":"P4W Api Gateway","version":"v1"},"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","description":"Api key taken from 'Gateway API key' setting.","name":"ApiKey","in":"header"}},"schemas":{"PurchaseOrderUpdate":{"type":"object","properties":{"comments":{"type":"string","nullable":true},"referenceNumber":{"type":"string","nullable":true},"reference1":{"type":"string","nullable":true},"reference2":{"type":"string","nullable":true},"reference3":{"type":"string","nullable":true},"appointmentNumber":{"type":"string","nullable":true},"appointmentDate":{"type":"string","format":"date-time","nullable":true},"requiredDate":{"type":"string","format":"date-time","nullable":true},"dateCreated":{"type":"string","format":"date-time"},"closeDate":{"type":"string","format":"date-time","nullable":true},"id":{"type":"string","format":"uuid"},"lines":{"type":"array","items":{"$ref":"#/components/schemas/PurchaseOrderLineCreateUpdate"},"nullable":true}},"additionalProperties":false},"PurchaseOrderLineCreateUpdate":{"type":"object","properties":{"lineNumber":{"type":"integer","format":"int32","nullable":true},"packsize":{"type":"integer","format":"int32","nullable":true},"numberOfPacks":{"type":"integer","format":"int32","nullable":true},"productId":{"type":"string","format":"uuid"},"orderedQuantity":{"type":"number","format":"double","nullable":true},"referenceNumber":{"type":"string","nullable":true},"reference1":{"type":"string","nullable":true},"reference2":{"type":"string","nullable":true},"reference3":{"type":"string","nullable":true}},"additionalProperties":false},"IdDocument":{"type":"object","properties":{"id":{"type":"string","format":"uuid"}},"additionalProperties":false}}},"paths":{"/purchase-orders":{"put":{"tags":["PurchaseOrders"],"summary":"Update an existing purchase order","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PurchaseOrderUpdate"}},"text/json":{"schema":{"$ref":"#/components/schemas/PurchaseOrderUpdate"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/PurchaseOrderUpdate"}}}},"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/IdDocument"}},"application/json":{"schema":{"$ref":"#/components/schemas/IdDocument"}},"text/json":{"schema":{"$ref":"#/components/schemas/IdDocument"}}}},"406":{"description":"Not Acceptable","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"type":"string"}},"text/json":{"schema":{"type":"string"}}}}}}}}}
```

## DELETE /purchase-orders

> Delete purchase order by code and clientId

```json
{"openapi":"3.0.1","info":{"title":"P4W Api Gateway","version":"v1"},"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","description":"Api key taken from 'Gateway API key' setting.","name":"ApiKey","in":"header"}}},"paths":{"/purchase-orders":{"delete":{"tags":["PurchaseOrders"],"summary":"Delete purchase order by code and clientId","parameters":[{"name":"code","in":"query","schema":{"type":"string"}},{"name":"clientId","in":"query","schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"type":"integer","format":"int32"}},"application/json":{"schema":{"type":"integer","format":"int32"}},"text/json":{"schema":{"type":"integer","format":"int32"}}}},"406":{"description":"Not Acceptable","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"type":"string"}},"text/json":{"schema":{"type":"string"}}}}}}}}}
```

## POST /purchase-orders/upload

> Upload an existing pending purchase orders

```json
{"openapi":"3.0.1","info":{"title":"P4W Api Gateway","version":"v1"},"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","description":"Api key taken from 'Gateway API key' setting.","name":"ApiKey","in":"header"}},"schemas":{"UploadRequest":{"type":"object","properties":{"ids":{"type":"array","items":{"type":"string","format":"uuid"},"nullable":true},"uploadedSuceeded":{"type":"boolean","nullable":true},"uploadMessage":{"type":"string","nullable":true},"resetUploadCount":{"type":"boolean","nullable":true}},"additionalProperties":false}}},"paths":{"/purchase-orders/upload":{"post":{"tags":["PurchaseOrders"],"summary":"Upload an existing pending purchase orders","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UploadRequest"}},"text/json":{"schema":{"$ref":"#/components/schemas/UploadRequest"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/UploadRequest"}}}},"responses":{"200":{"description":"OK"},"406":{"description":"Not Acceptable","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"type":"string"}},"text/json":{"schema":{"type":"string"}}}}}}}}}
```

## GET /purchase-orders/{id}

> Returns a single purchase order by id

```json
{"openapi":"3.0.1","info":{"title":"P4W Api Gateway","version":"v1"},"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","description":"Api key taken from 'Gateway API key' setting.","name":"ApiKey","in":"header"}},"schemas":{"PurchaseOrderGetDetail":{"type":"object","properties":{"comments":{"type":"string","nullable":true},"referenceNumber":{"type":"string","nullable":true},"reference1":{"type":"string","nullable":true},"reference2":{"type":"string","nullable":true},"reference3":{"type":"string","nullable":true},"appointmentNumber":{"type":"string","nullable":true},"appointmentDate":{"type":"string","format":"date-time","nullable":true},"requiredDate":{"type":"string","format":"date-time","nullable":true},"dateCreated":{"type":"string","format":"date-time"},"closeDate":{"type":"string","format":"date-time","nullable":true},"id":{"type":"string","format":"uuid"},"vendor":{"$ref":"#/components/schemas/VendorGetList"},"warehouse":{"$ref":"#/components/schemas/Warehouse"},"purchaseOrderNumber":{"type":"string","nullable":true},"lines":{"type":"array","items":{"$ref":"#/components/schemas/PurchaseOrderLineGet"},"nullable":true}},"additionalProperties":false},"VendorGetList":{"type":"object","properties":{"companyName":{"type":"string","nullable":true},"email":{"type":"string","nullable":true},"phone":{"type":"string","nullable":true},"contactPerson":{"type":"string","nullable":true},"description":{"type":"string","nullable":true},"address":{"$ref":"#/components/schemas/VendorAddress"},"id":{"type":"string","format":"uuid"},"client":{"$ref":"#/components/schemas/ClientGetList"},"vendorCode":{"type":"string","nullable":true}},"additionalProperties":false},"VendorAddress":{"type":"object","properties":{"address1":{"type":"string","nullable":true},"address2":{"type":"string","nullable":true},"city":{"type":"string","nullable":true},"stateProvince":{"type":"string","nullable":true},"zipPostalCode":{"type":"string","nullable":true},"country":{"type":"string","nullable":true}},"additionalProperties":false},"ClientGetList":{"type":"object","properties":{"description":{"type":"string","nullable":true},"ssccCompanyId":{"type":"string","nullable":true},"companyName":{"type":"string","nullable":true},"email":{"type":"string","nullable":true},"phone":{"type":"string","nullable":true},"contactPerson":{"type":"string","nullable":true},"taxId":{"type":"string","nullable":true},"address1":{"type":"string","nullable":true},"address2":{"type":"string","nullable":true},"city":{"type":"string","nullable":true},"stateProvince":{"type":"string","nullable":true},"zipPostalCode":{"type":"string","nullable":true},"country":{"type":"string","nullable":true},"id":{"type":"string","format":"uuid"},"name":{"type":"string","nullable":true}},"additionalProperties":false},"Warehouse":{"type":"object","properties":{"id":{"type":"string","format":"uuid"},"warehouseCode":{"type":"string","nullable":true},"name":{"type":"string","nullable":true},"description":{"type":"string","nullable":true},"phone":{"type":"string","nullable":true},"email":{"type":"string","nullable":true},"referenceNumber":{"type":"string","nullable":true},"address1":{"type":"string","nullable":true},"address2":{"type":"string","nullable":true},"city":{"type":"string","nullable":true},"stateProvince":{"type":"string","nullable":true},"zipPostalCode":{"type":"string","nullable":true},"country":{"type":"string","nullable":true}},"additionalProperties":false},"PurchaseOrderLineGet":{"type":"object","properties":{"id":{"type":"string","format":"uuid"},"lineNumber":{"type":"integer","format":"int32"},"product":{"$ref":"#/components/schemas/ProductGetList"},"orderedQuantity":{"type":"number","format":"double"},"referenceNumber":{"type":"string","nullable":true},"reference1":{"type":"string","nullable":true},"reference2":{"type":"string","nullable":true},"reference3":{"type":"string","nullable":true},"receivedQuantity":{"type":"number","format":"double","nullable":true},"details":{"type":"array","items":{"$ref":"#/components/schemas/PurchaseOrderLineGetDetail"},"nullable":true}},"additionalProperties":false},"ProductGetList":{"type":"object","properties":{"description":{"type":"string","nullable":true},"upc":{"type":"string","nullable":true},"barcodeType":{"$ref":"#/components/schemas/BarcodeType"},"barcodeValue":{"type":"string","nullable":true},"referenceNumber":{"type":"string","nullable":true},"id":{"type":"string","format":"uuid"},"client":{"$ref":"#/components/schemas/ClientGetList"},"sku":{"type":"string","nullable":true}},"additionalProperties":false},"BarcodeType":{"enum":["Code128","ITF14","EAN13","UPCA"],"type":"string"},"PurchaseOrderLineGetDetail":{"type":"object","properties":{"receivedQuantity":{"type":"number","format":"double"},"lotNumber":{"type":"string","nullable":true},"serialNumber":{"type":"string","nullable":true},"expiryDate":{"type":"string","format":"date-time","nullable":true},"packsizeEachCount":{"type":"integer","format":"int32","nullable":true}},"additionalProperties":false}}},"paths":{"/purchase-orders/{id}":{"get":{"tags":["PurchaseOrders"],"summary":"Returns a single purchase order by id","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/PurchaseOrderGetDetail"}},"application/json":{"schema":{"$ref":"#/components/schemas/PurchaseOrderGetDetail"}},"text/json":{"schema":{"$ref":"#/components/schemas/PurchaseOrderGetDetail"}}}},"404":{"description":"Not Found","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"type":"string"}},"text/json":{"schema":{"type":"string"}}}}}}}}}
```

## DELETE /purchase-orders/{id}

> Delete purchase-order by Id

```json
{"openapi":"3.0.1","info":{"title":"P4W Api Gateway","version":"v1"},"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","description":"Api key taken from 'Gateway API key' setting.","name":"ApiKey","in":"header"}}},"paths":{"/purchase-orders/{id}":{"delete":{"tags":["PurchaseOrders"],"summary":"Delete purchase-order by Id","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK"},"406":{"description":"Not Acceptable","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"type":"string"}},"text/json":{"schema":{"type":"string"}}}}}}}}}
```

## GET /purchase-orders/{field}/{value}

> Returns a list of purchase orders by specified field/value

```json
{"openapi":"3.0.1","info":{"title":"P4W Api Gateway","version":"v1"},"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","description":"Api key taken from 'Gateway API key' setting.","name":"ApiKey","in":"header"}},"schemas":{"PurchaseOrderGetDetail":{"type":"object","properties":{"comments":{"type":"string","nullable":true},"referenceNumber":{"type":"string","nullable":true},"reference1":{"type":"string","nullable":true},"reference2":{"type":"string","nullable":true},"reference3":{"type":"string","nullable":true},"appointmentNumber":{"type":"string","nullable":true},"appointmentDate":{"type":"string","format":"date-time","nullable":true},"requiredDate":{"type":"string","format":"date-time","nullable":true},"dateCreated":{"type":"string","format":"date-time"},"closeDate":{"type":"string","format":"date-time","nullable":true},"id":{"type":"string","format":"uuid"},"vendor":{"$ref":"#/components/schemas/VendorGetList"},"warehouse":{"$ref":"#/components/schemas/Warehouse"},"purchaseOrderNumber":{"type":"string","nullable":true},"lines":{"type":"array","items":{"$ref":"#/components/schemas/PurchaseOrderLineGet"},"nullable":true}},"additionalProperties":false},"VendorGetList":{"type":"object","properties":{"companyName":{"type":"string","nullable":true},"email":{"type":"string","nullable":true},"phone":{"type":"string","nullable":true},"contactPerson":{"type":"string","nullable":true},"description":{"type":"string","nullable":true},"address":{"$ref":"#/components/schemas/VendorAddress"},"id":{"type":"string","format":"uuid"},"client":{"$ref":"#/components/schemas/ClientGetList"},"vendorCode":{"type":"string","nullable":true}},"additionalProperties":false},"VendorAddress":{"type":"object","properties":{"address1":{"type":"string","nullable":true},"address2":{"type":"string","nullable":true},"city":{"type":"string","nullable":true},"stateProvince":{"type":"string","nullable":true},"zipPostalCode":{"type":"string","nullable":true},"country":{"type":"string","nullable":true}},"additionalProperties":false},"ClientGetList":{"type":"object","properties":{"description":{"type":"string","nullable":true},"ssccCompanyId":{"type":"string","nullable":true},"companyName":{"type":"string","nullable":true},"email":{"type":"string","nullable":true},"phone":{"type":"string","nullable":true},"contactPerson":{"type":"string","nullable":true},"taxId":{"type":"string","nullable":true},"address1":{"type":"string","nullable":true},"address2":{"type":"string","nullable":true},"city":{"type":"string","nullable":true},"stateProvince":{"type":"string","nullable":true},"zipPostalCode":{"type":"string","nullable":true},"country":{"type":"string","nullable":true},"id":{"type":"string","format":"uuid"},"name":{"type":"string","nullable":true}},"additionalProperties":false},"Warehouse":{"type":"object","properties":{"id":{"type":"string","format":"uuid"},"warehouseCode":{"type":"string","nullable":true},"name":{"type":"string","nullable":true},"description":{"type":"string","nullable":true},"phone":{"type":"string","nullable":true},"email":{"type":"string","nullable":true},"referenceNumber":{"type":"string","nullable":true},"address1":{"type":"string","nullable":true},"address2":{"type":"string","nullable":true},"city":{"type":"string","nullable":true},"stateProvince":{"type":"string","nullable":true},"zipPostalCode":{"type":"string","nullable":true},"country":{"type":"string","nullable":true}},"additionalProperties":false},"PurchaseOrderLineGet":{"type":"object","properties":{"id":{"type":"string","format":"uuid"},"lineNumber":{"type":"integer","format":"int32"},"product":{"$ref":"#/components/schemas/ProductGetList"},"orderedQuantity":{"type":"number","format":"double"},"referenceNumber":{"type":"string","nullable":true},"reference1":{"type":"string","nullable":true},"reference2":{"type":"string","nullable":true},"reference3":{"type":"string","nullable":true},"receivedQuantity":{"type":"number","format":"double","nullable":true},"details":{"type":"array","items":{"$ref":"#/components/schemas/PurchaseOrderLineGetDetail"},"nullable":true}},"additionalProperties":false},"ProductGetList":{"type":"object","properties":{"description":{"type":"string","nullable":true},"upc":{"type":"string","nullable":true},"barcodeType":{"$ref":"#/components/schemas/BarcodeType"},"barcodeValue":{"type":"string","nullable":true},"referenceNumber":{"type":"string","nullable":true},"id":{"type":"string","format":"uuid"},"client":{"$ref":"#/components/schemas/ClientGetList"},"sku":{"type":"string","nullable":true}},"additionalProperties":false},"BarcodeType":{"enum":["Code128","ITF14","EAN13","UPCA"],"type":"string"},"PurchaseOrderLineGetDetail":{"type":"object","properties":{"receivedQuantity":{"type":"number","format":"double"},"lotNumber":{"type":"string","nullable":true},"serialNumber":{"type":"string","nullable":true},"expiryDate":{"type":"string","format":"date-time","nullable":true},"packsizeEachCount":{"type":"integer","format":"int32","nullable":true}},"additionalProperties":false}}},"paths":{"/purchase-orders/{field}/{value}":{"get":{"tags":["PurchaseOrders"],"summary":"Returns a list of purchase orders by specified field/value","parameters":[{"name":"field","in":"path","required":true,"schema":{"type":"string"}},{"name":"value","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/PurchaseOrderGetDetail"}},"application/json":{"schema":{"$ref":"#/components/schemas/PurchaseOrderGetDetail"}},"text/json":{"schema":{"$ref":"#/components/schemas/PurchaseOrderGetDetail"}}}},"404":{"description":"Not Found","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"type":"string"}},"text/json":{"schema":{"type":"string"}}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.p4.software/english-1/purchaseorders-1.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
